> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute UpdateSegment

> Executes the updateSegment function.



## OpenAPI

````yaml /api/experiments/rollout.openapi.json post /v1/workflows/rollout/instances/{instance}:updatesegment
openapi: 3.1.0
info:
  title: Confidence Rollout API
  version: 1.0.0
  description: API documentation for rollout
servers: []
security: []
paths:
  /v1/workflows/rollout/instances/{instance}:updatesegment:
    post:
      summary: Execute UpdateSegment
      description: Executes the updateSegment function.
      operationId: UpdateSegment.execute
      parameters:
        - name: instance
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                parameters:
                  type: object
                  properties:
                    ignoreTargetingForSticky:
                      type: boolean
                      description: Whether to ignore targeting for sticky assignments
                    segment:
                      type: object
                      properties:
                        allocation:
                          type: object
                          properties:
                            proportion:
                              type: object
                              properties:
                                value:
                                  type: string
                                  description: >-
                                    The allocation proportion value as a decimal
                                    string
                              description: The allocation proportion configuration
                          description: The allocation configuration for the segment
                        labels:
                          type: array
                          items:
                            type: object
                            additionalProperties:
                              type: string
                          description: Labels for the segment
                        name:
                          type: string
                          description: The segment name
                        targeting:
                          type: object
                          properties:
                            criteria:
                              type: array
                              items:
                                type: object
                                additionalProperties:
                                  type: object
                                  properties:
                                    attribute:
                                      type: object
                                      properties:
                                        attributeName:
                                          type: string
                                        eqRule:
                                          type: object
                                          properties:
                                            value:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                versionValue:
                                                  type: object
                                                  properties:
                                                    version:
                                                      type: string
                                                listValue:
                                                  type: object
                                                  properties:
                                                    values:
                                                      type: array
                                                      items:
                                                        type: object
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                          description: same as SetRule with a single value
                                        setRule:
                                          type: object
                                          properties:
                                            values:
                                              type: array
                                              items:
                                                type: object
                                                properties:
                                                  boolValue:
                                                    type: boolean
                                                  numberValue:
                                                    type: number
                                                  stringValue:
                                                    type: string
                                                  timestampValue:
                                                    type: object
                                                  versionValue:
                                                    type: object
                                                    properties:
                                                      version:
                                                        type: string
                                                  listValue:
                                                    type: object
                                                    properties:
                                                      values:
                                                        type: array
                                                        items:
                                                          type: object
                                                        description: >-
                                                          equality (==, !=, ∈) defined for all
                                                          types
                                                           comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                          description: |-
                                            represents a set of allowed values
                                             in \{a, b, c}  -{">"} x == a || x == b || x == c || ...
                                             not in \{a, b} -{">"} x != a && x != b && ...
                                        rangeRule:
                                          type: object
                                          properties:
                                            startInclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                versionValue:
                                                  type: object
                                                  properties:
                                                    version:
                                                      type: string
                                                listValue:
                                                  type: object
                                                  properties:
                                                    values:
                                                      type: array
                                                      items:
                                                        type: object
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                            startExclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                versionValue:
                                                  type: object
                                                  properties:
                                                    version:
                                                      type: string
                                                listValue:
                                                  type: object
                                                  properties:
                                                    values:
                                                      type: array
                                                      items:
                                                        type: object
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                            endInclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                versionValue:
                                                  type: object
                                                  properties:
                                                    version:
                                                      type: string
                                                listValue:
                                                  type: object
                                                  properties:
                                                    values:
                                                      type: array
                                                      items:
                                                        type: object
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                            endExclusive:
                                              type: object
                                              properties:
                                                boolValue:
                                                  type: boolean
                                                numberValue:
                                                  type: number
                                                stringValue:
                                                  type: string
                                                timestampValue:
                                                  type: object
                                                versionValue:
                                                  type: object
                                                  properties:
                                                    version:
                                                      type: string
                                                listValue:
                                                  type: object
                                                  properties:
                                                    values:
                                                      type: array
                                                      items:
                                                        type: object
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                              description: >-
                                                equality (==, !=, ∈) defined for all
                                                types
                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                          description: >-
                                            represents a criteria on a value using
                                            inequalities
                                             closed range start, end -{">"} start {"<"}[=] x && x {"<"}[=] end
                                             open end start, ...     -{">"} start {"<"}[=] x
                                             open start ..., end     -{">"} x {"<"}[=] end
                                        anyRule:
                                          type: object
                                          properties:
                                            rule:
                                              type: object
                                              properties:
                                                eqRule:
                                                  type: object
                                                  properties:
                                                    value:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                  description: same as SetRule with a single value
                                                setRule:
                                                  type: object
                                                  properties:
                                                    values:
                                                      type: array
                                                      items:
                                                        type: object
                                                        properties:
                                                          boolValue:
                                                            type: boolean
                                                          numberValue:
                                                            type: number
                                                          stringValue:
                                                            type: string
                                                          timestampValue:
                                                            type: object
                                                          versionValue:
                                                            type: object
                                                            properties:
                                                              version:
                                                                type: string
                                                          listValue:
                                                            type: object
                                                            properties:
                                                              values:
                                                                type: array
                                                                items:
                                                                  type: object
                                                                description: >-
                                                                  equality (==, !=, ∈) defined for all
                                                                  types
                                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                  description: |-
                                                    represents a set of allowed values
                                                     in \{a, b, c}  -{">"} x == a || x == b || x == c || ...
                                                     not in \{a, b} -{">"} x != a && x != b && ...
                                                rangeRule:
                                                  type: object
                                                  properties:
                                                    startInclusive:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                    startExclusive:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                    endInclusive:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                    endExclusive:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                  description: >-
                                                    represents a criteria on a value using
                                                    inequalities
                                                     closed range start, end -{">"} start {"<"}[=] x && x {"<"}[=] end
                                                     open end start, ...     -{">"} start {"<"}[=] x
                                                     open start ..., end     -{">"} x {"<"}[=] end
                                          description: >-
                                            is match if at least one input item
                                            matches the inner rule
                                             is not match if the input list is empty/missing
                                        allRule:
                                          type: object
                                          properties:
                                            rule:
                                              type: object
                                              properties:
                                                eqRule:
                                                  type: object
                                                  properties:
                                                    value:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                  description: same as SetRule with a single value
                                                setRule:
                                                  type: object
                                                  properties:
                                                    values:
                                                      type: array
                                                      items:
                                                        type: object
                                                        properties:
                                                          boolValue:
                                                            type: boolean
                                                          numberValue:
                                                            type: number
                                                          stringValue:
                                                            type: string
                                                          timestampValue:
                                                            type: object
                                                          versionValue:
                                                            type: object
                                                            properties:
                                                              version:
                                                                type: string
                                                          listValue:
                                                            type: object
                                                            properties:
                                                              values:
                                                                type: array
                                                                items:
                                                                  type: object
                                                                description: >-
                                                                  equality (==, !=, ∈) defined for all
                                                                  types
                                                                   comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                  description: |-
                                                    represents a set of allowed values
                                                     in \{a, b, c}  -{">"} x == a || x == b || x == c || ...
                                                     not in \{a, b} -{">"} x != a && x != b && ...
                                                rangeRule:
                                                  type: object
                                                  properties:
                                                    startInclusive:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                    startExclusive:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                    endInclusive:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                    endExclusive:
                                                      type: object
                                                      properties:
                                                        boolValue:
                                                          type: boolean
                                                        numberValue:
                                                          type: number
                                                        stringValue:
                                                          type: string
                                                        timestampValue:
                                                          type: object
                                                        versionValue:
                                                          type: object
                                                          properties:
                                                            version:
                                                              type: string
                                                        listValue:
                                                          type: object
                                                          properties:
                                                            values:
                                                              type: array
                                                              items:
                                                                type: object
                                                              description: >-
                                                                equality (==, !=, ∈) defined for all
                                                                types
                                                                 comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                      description: >-
                                                        equality (==, !=, ∈) defined for all
                                                        types
                                                         comparison ({"<"}, {"<"}=, {">"}, {">"}=) defined for number, timestamp, version
                                                  description: >-
                                                    represents a criteria on a value using
                                                    inequalities
                                                     closed range start, end -{">"} start {"<"}[=] x && x {"<"}[=] end
                                                     open end start, ...     -{">"} start {"<"}[=] x
                                                     open start ..., end     -{">"} x {"<"}[=] end
                                          description: >-
                                            is match if each and every input item
                                            matches the inner rule
                                             is also match if the input field is empty/missing
                                    segment:
                                      type: object
                                      properties:
                                        segment:
                                          type: string
                            expression:
                              type: object
                              properties:
                                ref:
                                  type: string
                                not:
                                  type: object
                                  description: >-
                                    A boolean expression with leaf nodes that
                                    reference criteria elements
                                and:
                                  type: object
                                  properties:
                                    operands:
                                      type: array
                                      items:
                                        type: object
                                      description: >-
                                        A boolean expression with leaf nodes
                                        that reference criteria elements
                                or:
                                  type: object
                                  properties:
                                    operands:
                                      type: array
                                      items:
                                        type: object
                                      description: >-
                                        A boolean expression with leaf nodes
                                        that reference criteria elements
                              description: >-
                                A boolean expression with leaf nodes that
                                reference criteria elements
                          description: The targeting configuration for the segment
                      description: The segment to update
                    stickyAssignments:
                      type: boolean
                      description: Whether to use sticky assignments
                    targetingKeySelector:
                      type: string
                      description: The targeting key selector for user assignment
                    updateMask:
                      type: string
                      description: Comma-separated list of field paths to update
                  required:
                    - segment
                    - updateMask
                  description: Parameters for the function.
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  pathAimedToUpdate:
                    type: string
                    description: The field path that was aimed to be updated
                required:
                  - pathAimedToUpdate
      security:
        - admin: []
      servers:
        - url: https://experiments.confidence.dev
        - url: https://experiments.eu.confidence.dev
        - url: https://experiments.us.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````